package cokr.xit.ens.modules.common.ctgy.intgrnnoti.code;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public enum TryStatCd implements CodeMapperType {

//	acpt("접수")
	stby("전송대기")

//	, sndRdy("전송준비")
	, start("전송시작")

	, sndRsrv("예약전송")
	, sndRtme("실시간전송")

	, ok("성공")
	, fail("실패")

	, cmplt("전회차완료")
	;

	@Getter
	private final String codeNm;

	@Override
	public String getCode() {
		return this.name();
	}

}
